<?php
// Copyright (c) Pickware GmbH. All rights reserved.
// This file is part of software that is released under a proprietary license.
// You must not copy, modify, distribute, make publicly available, or execute
// its contents or parts thereof without express permission by the copyright
// holder, unless otherwise permitted by law.

namespace Shopware\Plugins\ViisonCommon\Classes\Installation;

class LockStatus
{

    /**
     * @var boolean
     */
    private $acquired;

    /**
     * @var string
     */
    private $description;

    /**
     * @param boolean $acquired
     * @param string $description
     */
    public function __construct($acquired, $description)
    {
        $this->acquired = $acquired;
        $this->description = $description;
    }

    public function hasBeenAcquired()
    {
        return $this->acquired;
    }

    public function getDescription()
    {
        return $this->description;
    }
}
